Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

Cannot run Java with Firefox

  • 8 uphendule
  • 29 zinale nkinga
  • 38638 views
  • Igcine ukuphendulwa ngu James

more options

I have tried anything for 5 hours and nothing works.

New dell laptop with Windows 8.1 64 bits. Firefox version: 37.0a1 (2014-12-05). Install Java twice via jxpiinstall.exe and jre-8u25-windows-i586-iftw.exe. 32 bits version. Java test page https://www.java.com/en/download/installed.jsp reports that 'java is disabled or not installed'. Java console shows that Java is enabled for browsers. DOS Command line 'java -version' shows java running. I have even put the 'C:\Program Files (x86)\Java\jre1.8.0_25' in the global PATH variable and created a JAVA_HOME variable with this directory. I went into regedit and change the rights on all mozilla mozilla.org keys.

Finally, I downloaded Chrome and it works after some configuration. Regards.

PS: the register process to be able to ask a question is the most impossible (being polite) that I have ever seen.

Isisombululo esikhethiwe

If you want to use Java, you must have that plugin installed. This page has useful information:

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (8)

more options

m sorry for the inconvenience i hope the following solution may help you.

Firefox asks you to activate Java for each website you visit that uses Java. If you trust the website, you can allow Java to run by clicking on the "Activate Java" message. If there is no visible area to activate Java content in the page, look for the plugin icon in the address bar, then click it and, in the message panel that opens, choose "Allow Now". For more information, see the How to allow Java on trusted sites article.

Does this solve your problem? Let us know.

more options

No. I don't have the java platform plugin installed.

I have renamed the plugins.dat file in the Firefox profile but it does not work.

I have verified in the about:config that Javascript is enabled and that the search of plugins was enabled too. Don't work.

Firefox just don't see that Java is installed or enabled. But the problem is not on Java side as it works with Chrome. I have been looking for a previous version of Firefox (like the one I had on my previous laptop with Win7) but it looks it's not possible to download a previous version.

Regards.

more options

Isisombululo Esikhethiwe

If you want to use Java, you must have that plugin installed. This page has useful information:

more options

As said previously, I have Java installed and running with Chrome.

But the plugin for Firefox does never appear, even when I am searching to download it. I understand that this version of Firefox cannot see Java on my Windows 8.

Reason why I wanted to test with an older version but it looks that it is not possible to download a previous release (first time I see that).

Okulungisiwe ngu jp_fayolle

more options

Finally, I could find a page to download a previous version. I downloaded Firefox Setup 33.1.1.exe and installed it. It immediately donwloaded the right plugins.

I configured the Java(TM) Platform SE 8 U25 plugin to be always activated and I went to the Java test page https://www.java.com/en/download/installed.jsp and now it works.

I will try with updated version, but it is clear that this Nightly version has a problem with Windows 8.1

more options

The Nightly version you had was not a Release or a single build. The 38.0a1 has been on the Nightly development channel for a week now. What you had was a old random build of 37.0a1 (from Dec 5) when it was on Nightly channel. The Nightly and Aurora channels are more for Testers and Devs as they get checkins almost everyday and therefore get updates each of those days and this can cause issues or regressions sometimes.

Also note that you need 64-bit Plugins installed on system to work with Win64 Firefox as 32-bit Plugins will not. Plugins are not installed in Firefox nor does Firefox download Plugins.

Firefox Release including the current 35.0 from www.mozilla.org is Win32. The earliest there may be Win64 Firefox Release is Firefox 37.o in a first phase https://wiki.mozilla.org/Firefox/win64 however Plugins may not get used initially so you may need to use Win32 to use Plugins anyways.

more options

I am a freelance in Application Quality using open-source tools like SonarQube and Jenkins (see my blog www.qualilogy.com). I have been using Firefox for years. I have a new laptop with Win8 so I searched, probably with Google, for installing the last release of Firefox, and I was proposed with Nightly.

It was never never said during all the process that it was a beta release. Please, believe me, I would not have lost 5 or 6 hours to solve this problem if I would have had the information. Also, it is not really easy to find a page with different versions and release notes, all the process is pretty straightforward, as if users are stupid and don't let them choose or they will end doing stupid things.

It makes me thing that Mozilla is becoming like Microsoft.

more options

Nightly is one of the four main development channels as in with current versions Release (35.0), Beta (36.b*), Aurora (37.0a2) (now called developer edition) and Nightly (38.0a1). The version on Release is the most stable while Nightly is the most unstable especially when something(s) big is being done in channel at time.